#ifndef __TREE_FUNCTIONS_H__
#define __TREE_FUNCTIONS_H__


#define TRUE 1

/* structure de l'arbre */
/* un noeud par base */
/* soit a,c,t,g */
typedef struct _knot knot;
struct _knot {
  char base;
  int nb;
  knot* father;
  knot* a;
  knot* c;
  knot* g;
  knot* t;
};

knot* create_knot(knot* new,knot* father);
knot* create_tree(knot * father, int deep);
knot* remove_tree(knot* father,int deep);
knot* add_motif(knot* node, char * str,int i);
knot* print_tree(knot* node,int deep);
knot* climb_into_tree(knot* node);
#endif
